package com.example.studyapp.update

data class ApiResponse<T>(
    val code: Int,
    val message: String,
    val ts: Long,
    var data: T? = null
){
    fun isSuccess(): Boolean {
        return code == 200
    }
}

data class ApiResponseList<T>(
    val code: Int,
    val message: String,
    val ts: Long,
    var data: List<T>? = null
){
    fun isSuccess(): Boolean {
        return code == 200
    }
}